unit MainCode;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Aurelius.Drivers.Interfaces,
  Aurelius.Drivers.MSSQL, Aurelius.Engine.ObjectManager;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    FConnection: IDBConnection;
    FObjMgr: TObjectManager;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  Aurelius.Comp.Drivers, Aurelius.Engine.DatabaseManager;

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var
  Params: IDriverParams;
begin
  Params := TDriverParams.Create('Server=LocalHost;Database=TestAurelius;Driver=SQL Server',True);
  FConnection := TMSSQLConnection.Create(Params);
  TDatabaseManager.Update(FConnection);
  FObjMgr := TObjectManager.Create(FConnection);
end;

end.
